import java.lang.*;

class MainClass {
	static public void main(String[] args) {
		ClassA aa = new ClassA();
		try {
			System.out.println("Entering test ......");
			System.out.println();
			System.out.println("Trying to call 'forName' on ClassA......");


			Class a = Class.forName("ClassA", true, 
									ClassLoader.getSystemClassLoader());


			System.out.println("'forName' has been called on ClassA......");
			System.out.println();			
			System.out.println("Trying to call 'getField' in order to get ClassB.....");


			System.out.println(a.getField("classB"));
		
			System.out.println("'getField' has been called......");
			a.getMethod("NativeClassA",new Class[]{});
			System.out.println("........................");
			aa.NativeClassA();
		} catch (ClassNotFoundException e){
			System.out.println("ClassNotFoundException : "+e);
		} catch (NoSuchFieldException e){
			System.out.println("NoSuchFieldException : "+e);
		}catch (java.lang.NoSuchMethodException e){
			System.out.println("NoSuchMethodException : "+e);
		}
	}
}
